## org.apache.axis.message
Class SOAPFaultCodeBuilder

    java.lang.Object
      org.xml.sax.helpers.DefaultHandler
          org.apache.axis.message.SOAPHandler
              org.apache.axis.message.SOAPFaultCodeBuilder

All Implemented Interfaces:
  Callback, org.xml.sax.ContentHandler, org.xml.sax.DTDHandler, org.xml.sax.EntityResolver, org.xml.sax.ErrorHandler

public class SOAPFaultCodeBuilder
extends SOAPHandler
implements Callback

Build a Fault body element.

Author:
  Sam Ruby (rubys@us.ibm.com), Glen Daniels (gdaniels@apache.org), Tom Jordahl (tomj@macromedia.com)

Field Summary
`protected QName` `faultCode`
`protected SOAPFaultCodeBuilder` `next`

Fields inherited from class org.apache.axis.message.SOAPHandler
`myElement`

Constructor Summary
`SOAPFaultCodeBuilder()`

Method Summary
`QName` `getFaultCode()`
`SOAPFaultCodeBuilder` `getNext()`
`SOAPHandler` `onStartChild(java.lang.String namespace, java.lang.String name, java.lang.String prefix, org.xml.sax.Attributes attributes, DeserializationContext context)`
`void` `setValue(java.lang.Object value, java.lang.Object hint)`

Methods inherited from class org.apache.axis.message.SOAPHandler
`characters, endElement, makeNewElement, onEndChild, startElement`

Methods inherited from class org.xml.sax.helpers.DefaultHandler
`endDocument, endElement, endPrefixMapping, error, fatalError, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, setDocumentLocator, skippedEntity, startDocument, startElement, startPrefixMapping, unparsedEntityDecl, warning`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### faultCode

    protected QName faultCode

### next

    protected SOAPFaultCodeBuilder next

Constructor Detail

### SOAPFaultCodeBuilder

    public SOAPFaultCodeBuilder()

Method Detail

### getFaultCode

    public QName getFaultCode()

### getNext

    public SOAPFaultCodeBuilder getNext()

### onStartChild

    public SOAPHandler onStartChild(java.lang.String namespace,
                                    java.lang.String name,
                                    java.lang.String prefix,
                                    org.xml.sax.Attributes attributes,
                                    DeserializationContext context)
                             throws org.xml.sax.SAXException

  Overrides:
    `onStartChild` in class `SOAPHandler`
  Throws:
    `org.xml.sax.SAXException`

### setValue

    public void setValue(java.lang.Object value,
                         java.lang.Object hint)

  Specified by:
    `setValue` in interface `Callback`

Copyright © 2005 Apache Web Services Project. All Rights Reserved.